Exponential 5.x Kernel 7.5.40 Exponential New Stack (Symfony-based) Kernel — PHP Class Reference

Public Member Functions | Protected Attributes | Private Attributes | List of all members
eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory Class Reference

The search engine indexer factory. More...

## Public Member Functions
| __construct (RepositoryConfigurationProvider $repositoryConfigurationProvider)
| registerSearchEngineIndexer (SearchEngineIndexer $searchEngineIndexer, $searchEngineIdentifier)
| Registers $searchEngineIndexer as a valid search engine indexer with identifier $searchEngineIdentifier. More...
| getSearchEngineIndexers ()
| Returns registered search engine indexers. More...
| buildSearchEngineIndexer ()
| Build search engine indexer identified by its identifier (the "alias" attribute in the service tag), resolved for current siteaccess. More...

## Protected Attributes
| $searchEngineIndexers = []

## Private Attributes
| $repositoryConfigurationProvider

## Detailed Description

The search engine indexer factory.

Definition at line 15 of file SearchEngineIndexerFactory.php.

## Constructor & Destructor Documentation

## ◆ __construct()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory::__construct | ( | RepositoryConfigurationProvider | $repositoryConfigurationProvider | ) |

Definition at line 28 of file SearchEngineIndexerFactory.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory\$repositoryConfigurationProvider.

## Member Function Documentation

## ◆ buildSearchEngineIndexer()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory::buildSearchEngineIndexer | ( |  | ) |

Build search engine indexer identified by its identifier (the "alias" attribute in the service tag), resolved for current siteaccess.

Exceptions

Definition at line 64 of file SearchEngineIndexerFactory.php.

## ◆ getSearchEngineIndexers()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory::getSearchEngineIndexers | ( |  | ) |

Returns registered search engine indexers.

Returns
  \eZ\Publish\Core\Search\Common\Indexer[]

Definition at line 51 of file SearchEngineIndexerFactory.php.

References eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory\$searchEngineIndexers.

## ◆ registerSearchEngineIndexer()

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory::registerSearchEngineIndexer | ( | SearchEngineIndexer | $searchEngineIndexer,
|  |  | $searchEngineIdentifier
| ) |  |

Registers $searchEngineIndexer as a valid search engine indexer with identifier $searchEngineIdentifier.

note: It is strongly recommended to register indexer as a lazy service.

Parameters

  \eZ\Publish\Core\Search\Common\Indexer | $searchEngineIndexer |
  string | $searchEngineIdentifier |

Definition at line 41 of file SearchEngineIndexerFactory.php.

## Member Data Documentation

## ◆ $repositoryConfigurationProvider

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory::$repositoryConfigurationProvider
| private

Definition at line 18 of file SearchEngineIndexerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory\__construct().

## ◆ $searchEngineIndexers

eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory::$searchEngineIndexers = []
| protected

Definition at line 26 of file SearchEngineIndexerFactory.php.

Referenced by eZ\Bundle\EzPublishCoreBundle\ApiLoader\SearchEngineIndexerFactory\getSearchEngineIndexers().

The documentation for this class was generated from the following file:

- SearchEngineIndexerFactory.php

Copyright © 1998 – 2026 7x. All rights reserved. Licensed under the GNU GPLv2+.